JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Attributes | List of all members
Enumerated< Index, Value > Struct Template Reference
juce_core » containers

Returned when dereferencing an EnumerateIterator. More...

`#include <juce_Enumerate.h>`

## Public Attributes
Index | index
Value | value

## Detailed Description

template<typename Index, typename Value>
struct Enumerated< Index, Value >

Returned when dereferencing an EnumerateIterator.

Allows querying the index associated with an element, along with a reference to the element itself.

You should never need to construct an instance of this type yourself. Instead, use the enumerate() function to construct a range that can be enumerated.

See also
  enumerate()

## Member Data Documentation

## ◆ index

template<typename Index , typename Value >

Index Enumerated< Index, Value >::index

## ◆ value

template<typename Index , typename Value >

Value Enumerated< Index, Value >::value

The documentation for this struct was generated from the following file:

- juce_Enumerate.h